% PYGALMESH-VOLUME-FROM-SURFACE(1) | pygalmesh-volume-from-surface

# NAME

**pygalmesh-volume-from-surface** - Generate volume mesh from surface mesh.

# SYNOPSIS

pygalmesh-volume-from-surface [*OPTIONS*] <*infile*> <*outfile*> 

# POSITIONAL ARGUMENTS

*infile*
:   input INR file.

*outfile*
:   output mesh file.

# OPTIONS

-l *LLOYD*, \--lloyd *LLOYD*
:   Lloyd smoothing (default: false)

-o, \--odt
:   ODT smoothing (default: false)

-p, \--perturb
:   perturb (default: false)

-x, \--exude
:   exude (default: false)

-e *EDGE_SIZE*, \--edge-size *EDGE_SIZE*
:   edge size (default: 0.0)

-a *FACET_ANGLE*, \--facet-angle *FACET_ANGLE* 
:   facet angle (default: 0.0)

-s *FACET_SIZE*, \--facet-size *FACET_SIZE*
:   facet size (default: 0.0)

-d *FACET_DISTANCE*, \--facet-distance *FACET_DISTANCE*
:   facet distance (default: 0.0)

-r *CELL_RADIUS_EDGE_RATIO*, \--cell-radius-edge-ratio *CELL_RADIUS_EDGE_RATIO*
:   cell radius/edge ratio (default: 0.0)

-c *CELL_SIZE*, \--cell-size *CELL_SIZE*
:   cell size (default: 0.0)

-q, --quiet
:   quiet mode (default: False).

-v, --version
:   show program's version number and exit.

-h, --help
:   show this help message and exit.

# AUTHORS

**pygalmesh-volume-from-surface** is a utility script from pygalmesh, developed by Nico Schlömer and is part of the `python3-pygalmesh` Python package. It generates a volume mesh from surface mesh. This manual page was written by Drew Parsons for the Debian project.

# LICENSE

Copying and distribution of this manual page, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. This file is offered as-is, without any warranty.
